Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.util
Class PQCOtherInfoGenerator.PartyU

    java.lang.Object
      org.bouncycastle.pqc.crypto.util.PQCOtherInfoGenerator
          org.bouncycastle.pqc.crypto.util.PQCOtherInfoGenerator.PartyU

Enclosing class:
  PQCOtherInfoGenerator

public static class PQCOtherInfoGenerator.PartyU
extends PQCOtherInfoGenerator

Party U (initiator) generation.

Nested Class Summary

Nested classes inherited from class org.bouncycastle.pqc.crypto.util.PQCOtherInfoGenerator
`PQCOtherInfoGenerator.PartyU, PQCOtherInfoGenerator.PartyV`

Field Summary

Fields inherited from class org.bouncycastle.pqc.crypto.util.PQCOtherInfoGenerator
`otherInfoBuilder, random, used`

Constructor Summary
`PQCOtherInfoGenerator.PartyU(KEMParameters kemParams, AlgorithmIdentifier algorithmID, byte[] partyUInfo, byte[] partyVInfo, java.security.SecureRandom random)` Create a basic builder with just the compulsory fields for the initiator.

Method Summary
`DEROtherInfo` | `generate(byte[] suppPrivInfoPartB)`
`byte[]` | `getSuppPrivInfoPartA()`
`PQCOtherInfoGenerator` | `withSuppPubInfo(byte[] suppPubInfo)` Add optional supplementary public info (DER tagged, implicit, 0).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PQCOtherInfoGenerator.PartyU

    public PQCOtherInfoGenerator.PartyU(KEMParameters kemParams,
                                        AlgorithmIdentifier algorithmID,
                                        byte[] partyUInfo,
                                        byte[] partyVInfo,
                                        java.security.SecureRandom random)

  Create a basic builder with just the compulsory fields for the initiator.

Parameters:
  `kemParams` - the key type parameters for populating the private info field.
  `algorithmID` - the algorithm associated with this invocation of the KDF.
  `partyUInfo` - sender party info.
  `partyVInfo` - receiver party info.
  `random` - a source of randomness.

Method Detail

### withSuppPubInfo

    public PQCOtherInfoGenerator withSuppPubInfo(byte[] suppPubInfo)

  Add optional supplementary public info (DER tagged, implicit, 0).

  Parameters:
    `suppPubInfo` - supplementary public info.
  Returns:
    the current builder instance.

### getSuppPrivInfoPartA

    public byte[] getSuppPrivInfoPartA()

### generate

    public DEROtherInfo generate(byte[] suppPrivInfoPartB)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD